package com.menezes;

import java.io.IOException; 
import java.util.logging.Level;
import java.util.logging.Logger;
import javafx.application.Application;
import static javafx.application.Application.launch;
import javafx.application.Platform;
import javafx.fxml.FXMLLoader; 
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

/**
 *
 * @author jorge
 */
public class MainApp extends Application {
    
    // apenas pra mostrar que pode ter as referencias dos Controller(s)
    LoginController loginController=null;
    ContasreceberController contasreceberController=null;
    ContaspagarController contaspagarController=null;
    Tela2Controller controllerTela2 = null;
    
    // aqui a mesma coisa, caso não queira ficar toda hora instanciando 
    Parent parent_login = null;
     
    Parent parent_cr = null;
    Parent parent_cp = null;
    
    
    Scene mscene = null;
    Stage mstage = null;
    
    @Override
    public void start(Stage primaryStage) {
        
        mstage = primaryStage;
         
        FXMLLoader fxml_login = new FXMLLoader( com.menezes.MainApp.class.getResource("login.fxml") );
        try {
            parent_login = (Parent)fxml_login.load();
            loginController = fxml_login.getController();
            loginController.setApplication(this);
            
            mscene = new Scene(parent_login, 300, 250);
        
            primaryStage.setTitle("Sistemas");
            primaryStage.setScene(mscene);
            primaryStage.show();
            
        } catch (IOException ex) {
            Logger.getLogger(MainApp.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        launch(args);
    }
    
    public void replaceScreen() throws Exception {
        Stage nstage = new Stage();
        nstage.setTitle("Tela principal");
        
        FXMLLoader fxml_main = new FXMLLoader( com.menezes.MainApp.class.getResource("tela2.fxml") );
        try {
            Parent parent_main = fxml_main.load();
            controllerTela2 = fxml_main.getController();
            controllerTela2.setApplication(this);
           
            mscene = new Scene(parent_main, 650, 450 );
            
            nstage.setResizable(true);        
            nstage.setAlwaysOnTop(false);
            
            nstage.setOnCloseRequest( (w) -> {            
               // fecha tudo 
               System.exit(0);
            });  
        
            // root.getChildren().removeAll();
            mstage.close();
            
            Platform.runLater( () -> {                          
                  nstage.setScene(mscene);
                  nstage.show();
            });
            
        } catch (IOException ex) {
            Logger.getLogger(MainApp.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
    
    
   
}
